﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace ImagenesEnSilverlight
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            //Leo la imagen de internet
            {
                Uri uriImage = new Uri("http://www.scientia.com.ar/images/logo.png");
                BitmapImage objBI = new BitmapImage(uriImage);
                imgInternet.Source = objBI;
            }

            //Leo la imagen que está en el paquete
            {
                Uri uriImage = new Uri("Images/Logo.png", UriKind.Relative);
                Stream objImageStream = Application.GetResourceStream(uriImage).Stream;
                BitmapImage objBI = new BitmapImage();
                objBI.SetSource(objImageStream);
                imgInPackage.Source = objBI;
            }

            //Leo la imagen embebida
            {
                Uri uriImage = new Uri("ImagenesEnSilverlight;component/Images/LogoEmbebido.png", UriKind.Relative);
                Stream objImageStream = Application.GetResourceStream(uriImage).Stream;
                BitmapImage objBI = new BitmapImage();
                objBI.SetSource(objImageStream);
                imgEmbedded.Source = objBI;
            }
        }
    }
}
